Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Interface AttachmentContainer

All Known Implementing Classes:
  WsdlMockResponse, WsdlRequest, WsdlTestRequest

    public interface AttachmentContainer

Behaviour for ModelItems that contain attachments (Requests and MockResponses)

Author:
  ole.matzura

Method Summary
`void` | `addAttachmentsChangeListener(java.beans.PropertyChangeListener listener)`
`Attachment` | `attachFile(java.io.File file, boolean cache)`
`Attachment` | `getAttachmentAt(int index)`
`int` | `getAttachmentCount()`
`WsdlAttachmentPart` | `getAttachmentPart(java.lang.String partName)`
`Attachment[]` | `getAttachments()`
`Attachment[]` | `getAttachmentsForPart(java.lang.String partName)`
`WsdlAttachmentPart[]` | `getDefinedAttachmentParts()`
`boolean` | `isMtomEnabled()`
`boolean` | `isMultipartEnabled()`
`boolean` | `isReadOnly()`
`void` | `removeAttachment(Attachment attachment)`
`void` | `removeAttachmentsChangeListener(java.beans.PropertyChangeListener listener)`

Method Detail

### attachFile

    Attachment attachFile(java.io.File file,
                          boolean cache)

### getAttachmentCount

    int getAttachmentCount()

### getAttachmentAt

    Attachment getAttachmentAt(int index)

### getAttachmentsForPart

    Attachment[] getAttachmentsForPart(java.lang.String partName)

### removeAttachment

    void removeAttachment(Attachment attachment)

### getAttachments

    Attachment[] getAttachments()

### getDefinedAttachmentParts

    WsdlAttachmentPart[] getDefinedAttachmentParts()

### getAttachmentPart

    WsdlAttachmentPart getAttachmentPart(java.lang.String partName)

### isMtomEnabled

    boolean isMtomEnabled()

### isMultipartEnabled

    boolean isMultipartEnabled()

### isReadOnly

    boolean isReadOnly()

### addAttachmentsChangeListener

    void addAttachmentsChangeListener(java.beans.PropertyChangeListener listener)

### removeAttachmentsChangeListener

    void removeAttachmentsChangeListener(java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.